#pragma once
#include <QFrame>
#include <QLabel>
#include <QComboBox>
#include <QTabWidget>
#include <QTableView>
#include <qstandarditemmodel.h>
#include "sims_world.h"
#include "VariablesConfiguration.h"

/// <summary>
/// ִнڵ
/// </summary>
class ActionNodeConfiguration : public QFrame, public NodeConfiguration
{
private:
	QComboBox* const _execute_select;
	NodePresent * _current_present;
	std::shared_ptr<ExecuteNode> _current_node;
	VariablesConfigurationPanel* const _vars_configuration;


public:
	ActionNodeConfiguration(QWidget* p = nullptr);

	void setTarget(NodePresent* ins) override;
};

