#pragma once
#include <QWidget>
#include <QStandardItemModel>
#include <QTableView>
#include <BehaviorPerform.h>

/// <summary>
/// ڵ
/// </summary>
class VariablesConfigurationPanel : public QWidget
{
private:
	QStandardItemModel* const _input_vars_model;
	QStandardItemModel* const _output_vars_model;
	QTableView *const _input_table;
	QTableView *const _output_table;

	std::shared_ptr<LogicalNode> _active_node = nullptr;

public:
	VariablesConfigurationPanel(QWidget *p = nullptr);

	void bindNode(std::shared_ptr<LogicalNode> inst);
};

